#include <stdio.h>

int ecipecipec(char A[], int n, int pocetak, int k)
{
	int i;
	for (i = 0; i < n; ++i)
		if (A[i] == 'X') break;
	if (i == n) return -1; /* niz je prazan */
	
	if (A[pocetak] == 'X') k--;
	while (k)
	{
		pocetak = (pocetak+1)%n;
		if (A[pocetak] == 'X') k--;
	}
	
	A[pocetak] = '.';
	return pocetak;
}

int pobjednik(char A[], int n, int k)
{
	int pocetak = 0, novi;
	while (1)
	{
		novi = ecipecipec(A, n, pocetak, k);
		if (novi == -1) break;
		pocetak = novi;
	};
	
	A[pocetak] = 'X';
	return pocetak;
}

int main()
{
	char A[] = {'X', '.', 'X', 'X', 'X', '.', 'X', 'X', '.', 'X', 'X', '.'};
	int i, n = sizeof(A)/sizeof(A[0]);
	
	printf("Pobjednik je: %d\n", pobjednik(A, n, 3));

	for (i = 0; i < n; ++i)
		printf("%c", A[i]);
	printf("\n");

	return 0;
}
