#include <stdio.h>

int skoci(char D[], int n, int pocetak, int k)
{
	int i;
	for (i = 0; i < n; ++i)
		if (D[i] == '-') break;
	if (i == n) return -1; /* sva su polja posjecena */
	
	if (D[pocetak] == '-') k--;
	while (k)
	{
		pocetak = (pocetak) ? (pocetak-1) : (n-1);
		if (D[pocetak] == '-') k--;
	}
	
	D[pocetak] = '+';
	return pocetak;
}

int skolica(char D[], int n, int k)
{
	int pocetak = 0, novi;
	while (1)
	{
		novi = skoci(D, n, pocetak, k);
		if (novi == -1) break;
		pocetak = novi;
	};
	
	D[pocetak] = '-';
	return pocetak;
}

int main()
{
	char D[] = {'-', '+', '-', '-', '-', '-', '+', '+', '-', '-', '+', '-'};
	int i, n = sizeof(D)/sizeof(D[0]);
	
	printf("Zadnje posjeceno polje je: %d\n", skolica(D, n, 3));

	for (i = 0; i < n; ++i)
		printf("%c", D[i]);
	printf("\n");

	return 0;
}
