#include <stdio.h>

int eks(int a, int b) {
    int c = 1, pot = a;
    while (pot < b && a != 1) {
        pot *= a;
        c++;
    }
    if (pot == b)
        return c;
    return 0;
}

int izbaci(int parovi[], int n) {
    int i, novaDuljina = 0;
    for (i = 0; i < 2*n; i += 2) {
        if (eks(parovi[i], parovi[i+1]) != 0) {
            parovi[novaDuljina++] = parovi[i];
            parovi[novaDuljina++] = parovi[i+1];
        }
    }

    return novaDuljina/2;
}

int sortiraj(int parovi[], int n) {
    int i, j;
    n = izbaci(parovi, n);

    for (i = 0; i < 2*n - 2; i += 2) {
        for (j = i+2; j < 2*n; j += 2) {
            if (eks(parovi[i], parovi[i+1]) < eks(parovi[j], parovi[j+1]) ||
                eks(parovi[i], parovi[i+1]) == eks(parovi[j], parovi[j+1]) &&
                parovi[i] > parovi[j]) {
                    int temp = parovi[i];
                    parovi[i] = parovi[j];
                    parovi[j] = temp;

                    temp = parovi[i+1];
                    parovi[i+1] = parovi[j+1];
                    parovi[j+1] = temp;
                }
        }
    }

    return n;
}

int main(void) {
    int i;
    int n = 6;
    int parovi[] = {2,3, 2,4, 3,4, 3,4, 3,81, 2,1024};

    printf("#### %d\n", n);
    for (i = 0; i < n*2; i += 2) {
        printf("%d %d %d\n", parovi[i], parovi[i+1], eks(parovi[i], parovi[i+1]));
    }

    n = sortiraj(parovi, n);

    printf("#### %d\n", n);
    for (i = 0; i < n*2; i += 2) {
        printf("%d %d %d\n", parovi[i], parovi[i+1], eks(parovi[i], parovi[i+1]));
    }

    return 0;
}
