#include <stdio.h>


int pravilan(int n, int b) {
    
    int znm, m, i, br_znm;
    int flag;
    
    for (znm = 0; znm < b; znm++) {
        m = n;
        br_znm = 0;
        flag = 0;
        
        /* brojimo koliko se puta znm pojavila u n u bazi b */
        while (m > 0) {
            if (m % b == znm)
                br_znm++;
            m /= b;
        }
        
        /* provjeravamo je li br_znm kub cijelog broja ako se pojavi (tj. veci je od 0) */
        for (i = 1; i <= br_znm; i++)
            if (br_znm == i*i*i) return 0;
        
    }
    
    return 1;
}



int main(void) {
    
    int n, b1, b2;
    int i;
    int zbroj = 0;
    
    scanf("%d%d%d",&n,&b1,&b2);
    
    for (i = b1; i <= b2; i++)
        if (pravilan(n,i))
            zbroj += i;
    
    if (zbroj == 0)
        printf("Ne postoji baza izmedju %d i %d takva da je %d pravilan u njoj.\n",b1,b2,n);
    else
        printf("%d\n", zbroj);
    
    return 0;
}


















































