#include <stdio.h>

int zavrti(int B[], int n, int pocetak, int k)
{
	int i;
	for (i = 0; i < n; ++i)
		if (B[i] > 0) break;
	if (i == n) return -1; /* sva su polja otvorena */
	
	if (B[pocetak] > 0) k--;
	while (k)
	{
		pocetak = (pocetak) ? (pocetak-1) : (n-1);
		if (B[pocetak] > 0) k--;
	}
	
	B[pocetak] = 0;
	return pocetak;
}

int kolosrece(int B[], int n, int k)
{
	int pocetak = 0, novi;
	while (1)
	{
		novi = zavrti(B, n, pocetak, k);
		if (novi == -1) break;
		pocetak = novi;
	};
	
	B[pocetak] = 1;
	return pocetak;
}

int main()
{
	int B[] = {100, 0, 200, 0, 300, 0, 100, 200, 0, 300, 100, 0};
	int i, n = sizeof(B)/sizeof(B[0]);
	
	printf("Zadnje otvoreno polje je: %d\n", kolosrece(B, n, 3));

	for (i = 0; i < n; ++i)
		printf("%d ", B[i]);
	printf("\n");

	return 0;
}
