#include <stdio.h>

int sljedeci(char C[], int n, int pocetak, int k)
{
	int i;
	for (i = 0; i < n; ++i)
		if (C[i] == '*') break;
	if (i == n) return -1; /* nema kamencica */
	
	if (C[pocetak] == '*') k--;
	while (k)
	{
		pocetak = (pocetak+1)%n;
		if (C[pocetak] == '*') k--;
	}
	
	C[pocetak] = ' ';
	return pocetak;
}

int igraj(char C[], int n, int k)
{
	int pocetak = 0, novi;
	while (1)
	{
		novi = sljedeci(C, n, pocetak, k);
		if (novi == -1) break;
		pocetak = novi;
	};
	
	C[pocetak] = '*';
	return pocetak;
}

int main()
{
	char C[] = {'*', ' ', '*', ' ', '*', ' ', '*', '*', ' ', '*', '*', ' '};
	int i, n = sizeof(C)/sizeof(C[0]);
	
	printf("Zadnji kamencic je: %d\n", igraj(C, n, 3));

	for (i = 0; i < n; ++i)
		printf("%c", C[i]);
	printf("\n");

	return 0;
}
